List jobs
curl --request GET \
--url https://api.example.com/jobsimport requests
url = "https://api.example.com/jobs"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Authorization": "<string>",
"id": "<string>",
"user_id": "<string>",
"name": {},
"at": "<string>",
"url": "<string>",
"method": "<string>",
"headers": {},
"body": {},
"status": "<string>",
"created_at": "<string>"
}Jobs
List jobs
Retrieve all jobs for the authenticated user
GET
/
jobs
List jobs
Request
No request body or query parameters required.Headers
string
required
Bearer token. Example:
Bearer your_api_key_hereResponse
Returns an array of job objects.string
Unique identifier (UUID).
string
ID of the user who owns this job.
string | null
Display name.
string
ISO 8601 timestamp of when the webhook will fire.
string
Webhook URL.
string
HTTP method:
GET, POST, or DELETE.object
Custom HTTP headers.
object
JSON body payload.
string
Current status:
pending, completed, or failed.string
ISO 8601 timestamp.
curl https://app.cronapi.dev/api/v1/jobs \
-H "Authorization: Bearer your_api_key_here"
const response = await fetch("https://app.cronapi.dev/api/v1/jobs", {
headers: { "Authorization": `Bearer your_api_key_here` },
});
const jobs = await response.json();
import requests
response = requests.get(
"https://app.cronapi.dev/api/v1/jobs",
headers={"Authorization": "Bearer your_api_key_here"},
)
jobs = response.json()
200
[
{
"id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"user_id": "d4e5f6a7-b890-1234-cdef-567890abcdef",
"name": "Send welcome email",
"at": "2026-04-20T15:00:00.000Z",
"url": "https://example.com/send-email",
"method": "POST",
"headers": {},
"body": {"user_id": "usr_123"},
"status": "pending",
"created_at": "2026-04-15T10:00:00.000Z"
}
]
⌘I